Subject: bug#39203: GNOME desktop is not displaying battery status

From: Jesse Gibbons <[email-masked]>
Date: Mon, 20 Jan 2020 15:01:32 -0700

It looks like the problem was introduced in
df45af90413906b18710d8c51c44afd5b92d6db6 when upower was updated to
version 99.11. I also expect it is related to gnome-tweaks, which is
out of date.

I'm going to see if updating gnome-tweaks fixes it. If so, I'll send an
update patch. If not, we can determine if it's worth reverting upower.

On Mon, 2020-01-20 at 13:41 -0700, Jesse Gibbons wrote:
> Update:
> Some testing reveals this bug was introduced somewhere between
> 10576acbbf496a051d488c2832f1e474ef6074f3 and
> d75a0cd98649c610c8c6ed05011233a49af156e9
> 
> I'm going to continue looking for the exact commit. I'll report when
> I
> find it. I have some suspicions, but it's better to know for certain.
> 
> What is the protocol for undoing a commit that breaks something?
> 
> On Mon, 2020-01-20 at 08:34 -0700, Jesse Gibbons wrote:
> > At the top-right corner of the GNOME desktop I expect to see my
> > laptop's battery status. Furthermore, when my laptop's battery
> > drains
> > to a low percentage I expect to see a notification warning me
> > before
> > it
> > dies. This is not the case.
> > 
> > I temporarily fixed this by rolling back my system generations, but
> > since I want to add some services I don't want to keep it like
> > this.
> > I
> > don't know what the issue is, but gnome-desktop-service-type and
> > its
> > dependencies are my primary suspects.
> > 
> > I ran guix system list-generations and got the following results:
> > 
> > The battery status displays with a system built in commit
> > a066e289ab8ea971336515b53dd5340cbdf90904
> > This commit uses Linux-Libre 5.4.6 in case that's important.
> > 
> > It does not display with a system build in commit
> > 6e02ef79f574855db28e23d891db690925119e7b
> > This commit uses Linux-Libre 5.4.12.
> > 
> > I hope this information is helpful in fixing this issue. I will
> > work
> > on
> > determining which commit breaks it.
> > 
> > -Jesse
> > 
> > 
> > 
> >